function [ fmin_param, fmin_param_names ] = getfminparam()
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

if exist('fmin_param.mat','file') == 2;
    load('fmin_param.mat')
    fmin_param = fmin_param_end;
else
      index = 1;
      
      
    fmin_param_names{index} = 'C_veci_v_komore';
    fmin_param(index) = 138682.644258652;
    index = index + 1;

    fmin_param_names{index} = 'R_veci_v_komore';
    fmin_param(index) = 0.0353603652724840;
    index = index + 1;

    fmin_param_names{index} = 'Par_Komora_prostup_okoli(2)';
    fmin_param(index) = 0.025;
    index = index + 1;

    fmin_param_names{index} = 'R_sklo';
    fmin_param(index) = 0.0345;
    index = index + 1;
    
    fmin_param_names{index} = 'C_sklo';
    fmin_param(index) = 24000;
    index = index + 1;
    
    fmin_param_names{index} = 'R_LED';
    fmin_param(index) = 0.0286;
    index = index + 1;
    
    fmin_param_names{index} = 'C_LED';
    fmin_param(index) = 16000;
    index = index + 1;
    
    fmin_param_names{index} = 'R_strop';
    fmin_param(index) = 0.0267;
    index = index + 1;
    
    fmin_param_names{index} = 'C_strop';
    fmin_param(index) = 24000;
    index = index + 1;
    
    fmin_param_names{index} = 'LED_pomer_ztrat';
    fmin_param(index) = 0.01;
    index = index + 1;
    
    fmin_param_names{index} = 'P_LED_max';
    fmin_param(index) = 20000;
    index = index + 1;

    fmin_param_names{index} = 'C_vymenik';
    fmin_param(index) = 120825.136984078;
    index = index + 1;

    fmin_param_names{index} = 'C_Topne_teleso';
    fmin_param(index) = 6668.29464531531;
    index = index + 1;

    fmin_param_names{index} = 'R_vymenik_vzduch';
    fmin_param(index) = 0.00542084785696748;
    index = index + 1;

    fmin_param_names{index} = 'R_vymenik_kapalina';
    fmin_param(index) = 0.000973506678799050;
    index = index + 1;

    fmin_param_names{index} = 'R_Vymenik_teleso';
    fmin_param(index) = 0.0273400485824653;
    index = index + 1;

    fmin_param_names{index} = 'm_chladici';
    fmin_param(index) = 45.0578278492954;
    index = index + 1;

    fmin_param_names{index} = 't_zpozdeni_chladici_in';
    fmin_param(index) = 21.0518752012817;
    index = index + 1;
    
    fmin_param_names{index} = 't_zpozdeni_chladici_out';
    fmin_param(index) = 40.0518752012817;
    index = index + 1;
    
    fmin_param_names{index} = 't_zpozdeni_chladici_nadrz';
    fmin_param(index) = 10.0518752012817;
    index = index + 1;

    fmin_param_names{index} = 'Qv_Cirk1';
    fmin_param(index) = 0.111278183083747;
    index = index + 1;

    fmin_param_names{index} = 'delay';
    fmin_param(index) = 238.741914242792;
    %index = index + 1;
    
end
end

